path: /build/build/parso-dev-python-0.3.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/parso -pv -t && \
    USE="-doc -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/parso
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/parso && luet-portage --dir /pkgdir/parso
    dev-python/parso && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: parso
    version: 0.3.1
    category: dev-python
    use_flags:
    - -doc
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: a python parser that supports error recovery and round-trip parsing
    uri:
    - https://github.com/davidhalter/parso https://pypi.org/project/parso/
    license: MIT
    buildtimestamp: 2023-09-23 16:38:52.600488605 +0000 UTC m=+93.167549142
    labels:
      DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        doc? ( dev-python/sphinx ) test? ( dev-python/pytest[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: doc test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/parso
      kit: python-modules-kit
      original.package.name: dev-python/parso
      original.package.slot: "0"
      original.package.version: 0.3.1
    treedir: /build/packages
  package_dir: /pkgdir/parso
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f4e6adfd25215e48b806644cf85103a9eb04f5d883dd9286dcf514bef6867c9b
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/parso/__init__.py
- usr/lib/python3.9/site-packages/parso/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/_compatibility.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/_compatibility.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/_compatibility.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/cache.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/cache.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/cache.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/grammar.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/grammar.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/grammar.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/normalizer.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/normalizer.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/normalizer.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/parser.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/parser.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/parser.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/tree.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/tree.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/tree.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/_compatibility.py
- usr/lib/python3.9/site-packages/parso/cache.py
- usr/lib/python3.9/site-packages/parso/grammar.py
- usr/lib/python3.9/site-packages/parso/normalizer.py
- usr/lib/python3.9/site-packages/parso/parser.py
- usr/lib/python3.9/site-packages/parso/pgen2/__init__.py
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/generator.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/generator.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/generator.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/grammar_parser.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/grammar_parser.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/__pycache__/grammar_parser.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/pgen2/generator.py
- usr/lib/python3.9/site-packages/parso/pgen2/grammar_parser.py
- usr/lib/python3.9/site-packages/parso/python/__init__.py
- usr/lib/python3.9/site-packages/parso/python/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/diff.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/diff.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/diff.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/errors.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/errors.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/errors.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/parser.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/parser.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/parser.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/pep8.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/pep8.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/pep8.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/prefix.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/prefix.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/prefix.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/token.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/token.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/token.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tokenize.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tokenize.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tokenize.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tree.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tree.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/parso/python/__pycache__/tree.cpython-39.pyc
- usr/lib/python3.9/site-packages/parso/python/diff.py
- usr/lib/python3.9/site-packages/parso/python/errors.py
- usr/lib/python3.9/site-packages/parso/python/grammar26.txt
- usr/lib/python3.9/site-packages/parso/python/grammar27.txt
- usr/lib/python3.9/site-packages/parso/python/grammar33.txt
- usr/lib/python3.9/site-packages/parso/python/grammar34.txt
- usr/lib/python3.9/site-packages/parso/python/grammar35.txt
- usr/lib/python3.9/site-packages/parso/python/grammar36.txt
- usr/lib/python3.9/site-packages/parso/python/grammar37.txt
- usr/lib/python3.9/site-packages/parso/python/parser.py
- usr/lib/python3.9/site-packages/parso/python/pep8.py
- usr/lib/python3.9/site-packages/parso/python/prefix.py
- usr/lib/python3.9/site-packages/parso/python/token.py
- usr/lib/python3.9/site-packages/parso/python/tokenize.py
- usr/lib/python3.9/site-packages/parso/python/tree.py
- usr/lib/python3.9/site-packages/parso/tree.py
- usr/lib/python3.9/site-packages/parso/utils.py
- usr/lib/python3.9/site-packages/parso-0.3.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/parso-0.3.1-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/parso-0.3.1-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/parso-0.3.1-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/parso-0.3.1-py3.9.egg-info/top_level.txt
- usr/share/doc/parso-0.3.1/README.rst.bz2
- var/db/pkg/dev-python/parso-0.3.1/BUILD_TIME
- var/db/pkg/dev-python/parso-0.3.1/CATEGORY
- var/db/pkg/dev-python/parso-0.3.1/CBUILD
- var/db/pkg/dev-python/parso-0.3.1/CFLAGS
- var/db/pkg/dev-python/parso-0.3.1/CHOST
- var/db/pkg/dev-python/parso-0.3.1/CONTENTS
- var/db/pkg/dev-python/parso-0.3.1/COUNTER
- var/db/pkg/dev-python/parso-0.3.1/CXXFLAGS
- var/db/pkg/dev-python/parso-0.3.1/DEFINED_PHASES
- var/db/pkg/dev-python/parso-0.3.1/DEPEND
- var/db/pkg/dev-python/parso-0.3.1/DESCRIPTION
- var/db/pkg/dev-python/parso-0.3.1/EAPI
- var/db/pkg/dev-python/parso-0.3.1/FEATURES
- var/db/pkg/dev-python/parso-0.3.1/HOMEPAGE
- var/db/pkg/dev-python/parso-0.3.1/INHERITED
- var/db/pkg/dev-python/parso-0.3.1/IUSE
- var/db/pkg/dev-python/parso-0.3.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/parso-0.3.1/KEYWORDS
- var/db/pkg/dev-python/parso-0.3.1/LDFLAGS
- var/db/pkg/dev-python/parso-0.3.1/LICENSE
- var/db/pkg/dev-python/parso-0.3.1/PF
- var/db/pkg/dev-python/parso-0.3.1/RDEPEND
- var/db/pkg/dev-python/parso-0.3.1/SIZE
- var/db/pkg/dev-python/parso-0.3.1/SLOT
- var/db/pkg/dev-python/parso-0.3.1/USE
- var/db/pkg/dev-python/parso-0.3.1/environment.bz2
- var/db/pkg/dev-python/parso-0.3.1/parso-0.3.1.ebuild
- var/db/pkg/dev-python/parso-0.3.1/repository
package_cacheimage: ""
runtime:
  name: parso
  version: 0.3.1
  category: dev-python
  use_flags:
  - -doc
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: a python parser that supports error recovery and round-trip parsing
  uri:
  - https://github.com/davidhalter/parso https://pypi.org/project/parso/
  license: MIT
  labels:
    DEPEND: dev-python/setuptools[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      doc? ( dev-python/sphinx ) test? ( dev-python/pytest[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
      ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
      ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: doc test python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
      ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
      ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/parso
    kit: python-modules-kit
    original.package.name: dev-python/parso
    original.package.slot: "0"
    original.package.version: 0.3.1
